AUDIT_REQUEST_SIGNAL_INFO(3)

NAME
audit_request_signal_info - Request signal info for the audit system

SYNOPSIS
#include <libaudit.h>

int audit_request_signal_info(intfd);"

DESCRIPTION
audit_request_signal_info requests that the kernel send information about the sender of a signal to the audit daemon. The signal info structure is as follows:
struct audit_sig_info {
        uid_t           uid;
        pid_t           pid;
        char            ctx[0];
};
This function is likely to be used only by audit daemons and shouldn't be called by any other kind of program.

RETURN VALUE
The return value is <= 0 on error, otherwise it is the netlink sequence id number. This function can have any error that sendto would encounter.

SEE ALSO
audit_open(3), audit_get_reply(3).

AUTHOR
Steve Grubb